
class VcfLine
	attr_reader :chr, :coor, :refBase, :altBase, :pos, :format, :uniqPos
	def initialize(line)
		@values = line.strip.split("\t")
		@chr = @values[0]
		@coor = @values[1]
		@refBase = @values[3].upcase
		@altBase = @values[4].upcase 
		@uniqPos = "#{@chr}_#{@coor}_#{@refBase}_#{@altBase}"
		@pos = "#{@chr}_#{@coor}"
		@format = "GT:VR:RR:DP:GQ"
	end

	def qual
		return '.'
		#return @values[5].to_i
	end

	def filter
		return '.'
		#return @values[6]
	end

	def id
		return @values[2]
	end

	def genotype
		return @values[-1].split(":")[0]
	end

	def var_depth
		return @values[-1].split(":")[1]
	end

	def ref_depth
		return @values[-1].split(":")[2]
	end

	def total_depth
		return @values[-1].split(":")[3]
	end

	def genotype_qual
		return @values[-1].split(":")[4]
	end

	def type
                if @values[3].length > @values[4].length
                        return 'Del'
                elsif @values[3].length < @values[4].length
                        return 'Ins'
                else
                        return 'SNP'
                end
        end

	def genotypeInfo
		return "#{self.genotype}:#{self.var_depth}:#{self.ref_depth}:#{self.total_depth}:#{self.genotype_qual}"
	end
end

#Testing vcf.rb
#v = VcfLine.new("1	113054374	.	CTTG	C	23	PASS	AC=2;AN=4;DP=4600;NS=65	GT:VR:RR:DP:GQ	./.:.:.:128:.")
#puts v.genotypeInfo

